summaryrefslogtreecommitdiff
path: root/plugins/curl
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/curl')
-rwxr-xr-xplugins/curl13
1 files changed, 13 insertions, 0 deletions
diff --git a/plugins/curl b/plugins/curl
new file mode 100755
index 0000000..8e658cc
--- /dev/null
+++ b/plugins/curl
@@ -0,0 +1,13 @@
+#!/bin/dash
+
+# curl plugin
+#
+# ENVIRONMENT VARIABLES:
+# URL URL to download known_hosts file from
+#
+
+set -e
+
+curl -Rz "./current" -m 300 -o new "${URL}"
+
+# vim:set ft=sh: